> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Paged Player Leaderboard

> Retrieves a specific page of player leaderboard data for various game statistics (e.g., Bedwars level, final kills, wins).



## OpenAPI

````yaml https://stash.seraph.si/json get /leaderboards/{lbtype}/{pageid}
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /leaderboards/{lbtype}/{pageid}:
    get:
      tags:
        - Leaderboards
      summary: Get Paged Player Leaderboard
      description: >-
        Retrieves a specific page of player leaderboard data for various game
        statistics (e.g., Bedwars level, final kills, wins).
      parameters:
        - description: >-
            Type of leaderboard (e.g., bedwars.level,
            bedwars.overall_final_kills, bedwars.overall_wins)
          in: path
          name: lbtype
          required: true
          schema:
            type: string
        - description: Page number for the leaderboard (1-100)
          in: path
          name: pageid
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/types.BedwarsPlayerCache'
                type: array
          description: Successfully retrieved a page of leaderboard data
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid leaderboard type or page number
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Unauthorized, not enough permissions
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error, e.g., failed to retrieve data from database
components:
  schemas:
    types.BedwarsPlayerCache:
      properties:
        activeBedDestroy:
          type: string
        activeDeathCry:
          type: string
        activeGlyph:
          type: string
        activeIslandTopper:
          type: string
        activeKillEffect:
          type: string
        activeKillMessages:
          type: string
        activeNPCSkin:
          type: string
        activeProjectileTrail:
          type: string
        activeSprays:
          type: string
        activeVictoryDance:
          type: string
        activeWoodType:
          type: string
        bedwars_exp:
          type: integer
        bedwars_level:
          type: integer
        displayname:
          type: string
        eight_one_beds_broken_bedwars:
          type: integer
        eight_one_beds_lost_bedwars:
          type: integer
        eight_one_deaths_bedwars:
          type: integer
        eight_one_final_deaths_bedwars:
          type: integer
        eight_one_final_kills_bedwars:
          type: integer
        eight_one_kills_bedwars:
          type: integer
        eight_one_losses_bedwars:
          type: integer
        eight_one_wins_bedwars:
          type: integer
        eight_two_beds_broken_bedwars:
          type: integer
        eight_two_beds_lost_bedwars:
          type: integer
        eight_two_deaths_bedwars:
          type: integer
        eight_two_final_deaths_bedwars:
          type: integer
        eight_two_final_kills_bedwars:
          type: integer
        eight_two_kills_bedwars:
          type: integer
        eight_two_losses_bedwars:
          type: integer
        eight_two_wins_bedwars:
          type: integer
        four_four_beds_broken_bedwars:
          type: integer
        four_four_beds_lost_bedwars:
          type: integer
        four_four_deaths_bedwars:
          type: integer
        four_four_final_deaths_bedwars:
          type: integer
        four_four_final_kills_bedwars:
          type: integer
        four_four_kills_bedwars:
          type: integer
        four_four_losses_bedwars:
          type: integer
        four_four_wins_bedwars:
          type: integer
        four_three_beds_broken_bedwars:
          type: integer
        four_three_beds_lost_bedwars:
          type: integer
        four_three_deaths_bedwars:
          type: integer
        four_three_final_deaths_bedwars:
          type: integer
        four_three_final_kills_bedwars:
          type: integer
        four_three_kills_bedwars:
          type: integer
        four_three_losses_bedwars:
          type: integer
        four_three_wins_bedwars:
          type: integer
        linked_discord:
          type: string
        overall_beds_broken_bedwars:
          type: integer
        overall_beds_lost_bedwars:
          type: integer
        overall_deaths_bedwars:
          type: integer
        overall_final_deaths_bedwars:
          type: integer
        overall_final_kills_bedwars:
          type: integer
        overall_kills_bedwars:
          type: integer
        overall_losses_bedwars:
          type: integer
        overall_wins_bedwars:
          type: integer
        player_rank:
          type: string
        quickbuy:
          type: string
        updated_at:
          type: string
        uuid:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````